curl --location --request POST 'https://app.zappway.ai/api/datastores/update/<datastoreId>' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <API_KEY>' \
--data-raw '{
"id": "<datasourceID>",
"text": "Lorem Ipsum...",
"name": "My Document",
"metadata": {
"source" : "https://en.wikipedia.org/wiki/Lorem_ipsum",
"author": "John Doe",
"date": "2021-01-01",
}
}'
{
"id": "60f9b9f0-0b1a-11ec-9a03-0242ac130003"
}
Datasources
Fuente de datos: actualización (⚠️ en desuso)
Este punto final le permite actualizar una fuente de datos en su almacén de datos.
POST
/
api
/
datastores
/
update
/
{datastoreId}
curl --location --request POST 'https://app.zappway.ai/api/datastores/update/<datastoreId>' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <API_KEY>' \
--data-raw '{
"id": "<datasourceID>",
"text": "Lorem Ipsum...",
"name": "My Document",
"metadata": {
"source" : "https://en.wikipedia.org/wiki/Lorem_ipsum",
"author": "John Doe",
"date": "2021-01-01",
}
}'
{
"id": "60f9b9f0-0b1a-11ec-9a03-0242ac130003"
}
Camino
Cuerpo
Respuesta
curl --location --request POST 'https://app.zappway.ai/api/datastores/update/<datastoreId>' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <API_KEY>' \
--data-raw '{
"id": "<datasourceID>",
"text": "Lorem Ipsum...",
"name": "My Document",
"metadata": {
"source" : "https://en.wikipedia.org/wiki/Lorem_ipsum",
"author": "John Doe",
"date": "2021-01-01",
}
}'
{
"id": "60f9b9f0-0b1a-11ec-9a03-0242ac130003"
}

